Crashpad

Public Member Functions | Public Attributes | List of all members
crashpad::CPUContext Struct Reference

A context structure capable of carrying the context of any supported CPU architecture. More...

`#include "snapshot/cpu_context.h"`

## Public Member Functions
uint64_t | InstructionPointer () const
| Returns the instruction pointer value from the context structure. More...

## Public Attributes
CPUArchitecture | architecture
| The CPU architecture of a context structure. This field controls the expression of the union.
union {
CPUContextX86 * x86
CPUContextX86_64 * x86_64
}; |

## Detailed Description

A context structure capable of carrying the context of any supported CPU architecture.

## Member Function Documentation

## ◆ InstructionPointer()

uint64_t crashpad::CPUContext::InstructionPointer | ( |  | ) | const

Returns the instruction pointer value from the context structure.

This is a CPU architecture-independent method that is capable of recovering the instruction pointer from any supported CPU architecture’s context structure.

The documentation for this struct was generated from the following files:

- snapshot/cpu_context.h
- snapshot/cpu_context.cc